### Function

# GioUnix mount_entries_changed_since

#### Declaration [src]

    gboolean
    g_unix_mount_entries_changed_since (
      guint64 time
    )

#### Description [src]

Checks if the Unix mounts have changed since a given Unix time.

This can only work reliably if a `GUnixMountMonitor` is running in the process, otherwise changes in the mount entries file (such as `/proc/self/mountinfo` on Linux) cannot be detected and, as a result, this function has to conservatively always return `TRUE`.

It is more efficient to use `GUnixMountMonitor::mounts-changed` to be signalled of changes to the mount entries, rather than polling using this function. This function is more appropriate for infrequently determining cache validity.

#### Parameters

`time`

  Type: `guint64`

  A timestamp.

#### Return value

Type: `gboolean`

True if the mounts have changed since `time`; false otherwise Since 2.84.